var utilities = (function () {
    console.log("Utilities Loaded");

    function getRadioInputByName(name) {
        var result = null;

        if (name) {
            var selector = "input:radio[name = " + name + " ]";

            result = $(selector);
        }

        return result;
    }

    function validateRadioInputByName(name) {
        var valid = false;
        var inputs = getRadioInputByName(name);

        if (inputs) {
            var filtered = inputs
                .filter(function (index, item) {
                    return item.checked;
                });

            valid = (filtered.length > 0);

        }

        return valid;
    }

    function getRadioInputValueByName (name) {
        var value = "";

        var inputs = getRadioInputByName(name);

        if (inputs) {
            var filtered = inputs
                .filter(function (index, item) {
                    return item.checked;
                });

            if (filtered.length > 0) {
                value = filtered[0].value;
            }

        }

        return value;
    }

    function getVehicleCheckboxInputs (selectorPrefix) {
        var result;

        var selector = selectorPrefix ? selectorPrefix + " " + "input:checkbox" : "input:checkbox";

        result =  $(selector);

        return result;
    }

    function getCheckboxInputByName (name) {
        var result = null;

        if (name) {
            var selector = "input:checkbox[name = " + name + " ]";

            result = $(selector);
        }

        return result;
    }

    function validateCheckboxInputByName(name) {
        var valid = false;
        var inputs = getCheckboxInputByName(name);

        if (inputs) {
            var filtered = inputs
                .filter(function (index, item) {
                    return item.checked;
                });

            valid = (filtered.length > 0);

        }

        return valid;
    }

    function getConsumerLanguage(name) {
        var selector = $("#" + name + "");

        var languageTag = selector.text();
        var language = null;

        LANGUAGES.ENGLISH == languageTag || LANGUAGES.SPANISH == languageTag ? language = languageTag : language = LANGUAGES.ENGLISH;

        console.log("LANGUAGE SET = " + language);

        return language;
    }

    return {
        getRadioInputByName: getRadioInputByName,
        validateRadioInputByName: validateRadioInputByName,
        getRadioInputValueByName: getRadioInputValueByName,
        getVehicleCheckboxInputs: getVehicleCheckboxInputs,
        getCheckboxInputByName: getCheckboxInputByName,
        validateCheckboxInputByName: validateCheckboxInputByName,
        getConsumerLanguage: getConsumerLanguage,
    };

})();